Subject: Re: [PATCH net-next 9/9] taskstats: use the libnl API to align nlattr on 64-bit

From: Nicolas Dichtel <[email-masked]>
Date: Wed, 27 Apr 2016 09:29:11 +0200

Le 27/04/2016 03:14, Balbir Singh a écrit :
> 
> 
> On 23/04/16 01:31, Nicolas Dichtel wrote:
>> Goal of this patch is to use the new libnl API to align netlink attribute
>> when needed.
>> The layout of the netlink message will be a bit different after the patch,
>> because the padattr (TASKSTATS_TYPE_STATS) will be inside the nested
>> attribute instead of before it.
>>
>> Signed-off-by: Nicolas Dichtel <[email-masked]>
> 
> The layout will change/break user space -- I've not tested the patch though..
Sigh.

I quote David:
"All userspace components using netlink should always ignore attributes
they do not recognize in dumps.

This is one of the most basic principles of netlink"

Do you have some pointers so I can made some tests?

Regards,
Nicolas
_______________________________________________
dev mailing list
[email-masked]
http://openvswitch.org/mailman/listinfo/dev